OVERLAY_GET_COORDS(3)

EXPERIMENTAL_FUNC
overlay_get_coords - Get the co-ordinates for an overlay object.

SYNOPSIS
#include <karma_overlay.h>

flag overlay_get_coords

(KOverlayList olist, unsigned int id_in_list, unsigned int list_id, double *x, double *y, unsigned int *types)

DESCRIPTION
Get the co-ordinates for an overlay object.

olist
    The overlay list object.

id_in_list
    The object ID. This ID refers to an object created by a particular list master or slave.

list_id
    The ID of the list which created the object. If this is 0, the list given by <<olist>> is assumed.

x   The horizontal co-ordinates are written here. This must have enough space to contain all the values that will be written. The function <-overlay_get_num_coords-> may be used to determine the required space. If this is NULL, nothing is written here.

y   The vertical co-ordinates are written here. This must have enough space to contain all the values that will be written. The function <-overlay_get_num_coords-> may be used to determine the required space. If this is NULL, nothing is written here.

types
    The co-ordinate types are written here. This must have enough space to contain all the values that will be written. The function <-overlay_get_num_coords-> may be used to determine the required space. If this is NULL, nothing is written here.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/